ofxstatement-plugins (20210310+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools 60. (Closes: #1022310)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Nov 2022 18:36:19 +0200

ofxstatement-plugins (20210310) unstable; urgency=medium

  * d/rules: Disable autotests because of tecnical FTBFS. (Closes: #982704)

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 10 Mar 2021 11:15:48 +0300

ofxstatement-plugins (20210108) unstable; urgency=medium

  * ofxstatement-czech: updated url
  * Update submodules
    * ofxstatement-al_bank bccaa37...19a3361 (3):
      > Version 0.2.1
      > Calculate end balance for file
      > Only attempt to parse date when it is a string

    * ofxstatement-austrian 269c6df...5ab8068 (3):
      > Remove version pinning for coverage
      > Update Python versions in use
      > Merge branch 'gerasiov-master'

    * ofxstatement-be-kbc 4f6da52...cb6f95b (1):
      > Use statement validation

    * ofxstatement-betterment a7111c6...8439562 (2):
      > I guess Python 3.3 isn't on Travis anymore...
      > Merge pull request #3 from gerasiov/master

    * ofxstatement-bubbas e5ceb74...69eb2e9 (1):
      > Merge pull request #5 from gerasiov/master

    * ofxstatement-consors 83463f6...593cc56 (1):
      > Add payee to mapping

    * ofxstatement-fineco a351d0c...f27d7cc (14):
      > increase version number
      > fix issue #7: updated the cards template
      > fix a huge slip in checking savings_legacy tpl
      > increase version number and comment about backward compatibility
      > shift columns for savings_legacy tpl
      > allow outcome input var to be negative as in the new savings template
      > adding the position of the cell holding the account id to the template
        arrays
      > shifiting columns position according to the new savings template
      > address variable account_id_str position between savings templates
      > extra_field revised in the new savings template
      > checking for extra_field in every tpl that has it set
      > new savings sheet template added. renamed the old one for backward
        compatibility
      > fix issue #5: deal with xls dates only if needed
      > Merge pull request #4 from MarcoBuster/master

    * ofxstatement-iso20022 4397952...7319c27 (10):
      > Back to development: 0.5.1
      > Preparing release 0.5.0
      > Blacken test sources
      > Add type annotations
      > Integrate mypy
      > Blacken source code
      > Integrate black
      > Merge pull request #6 from kedder/pipenv
      > Test for python3.8 too
      > Merge pull request #5 from gerasiov/master

    * ofxstatement-lithuanian 509926d...b23145b (19):
      > Back to development: 1.2.1
      > Preparing release 1.2.0
      > Properly filter out lines with different currencies
      > Back to development: 1.1.3
      > Preparing release 1.1.2
      > Restore test for litas-esis plugin
      > Restore test for danske plugin
      > Restore testing for swedbank plugin
      > Do not read input two times
      > Back to development: 1.1.1
      > Preparing release 1.1.0
      > Require newest ofxstatement
      > Update to newly-released ofxstatement
      > Add type annotations
      > Blacken source code
      > Integrate black
      > Integrate mypy
      > Use pipenv to manage dev environment
      > Merge pull request #1 from gerasiov/master

    * ofxstatement-otp 195f6a6...b630d58 (7):
      > Bumped version to 0.0.6
      > do not default missing statement values to 0
      > Switch to pipenv for dev environment management
      > Bump version 0.0.4 --> 0.0.5
      > fixed the handling ampersands in the comment
      > Bump version 0.0.3 --> 0.0.4
      > generating a unique ID as they are now mandatory

    * ofxstatement-russian 3167cb3...5c4e1d3 (1):
      > Support ofxstatement >=0.6.5, where statement line id is mandatory now

  * Add 04-fix-ofxstatement-6.5+-compatibility.patch (Closes: #971127).
  * Add 05-fix-interpreter.patch: Fix interpreter in intesaSP plugin.
  * d/control: Require ofxstatement 0.7.1  

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 08 Jan 2021 16:18:27 +0300

ofxstatement-plugins (20200505) unstable; urgency=medium

  * Update submodules
    * ofxstatement-de-triodos f7a457d...8aef762 (1):
      > Fix typo BE->DE
    * ofxstatement-iso20022 0ebc9a2...7190e5f (3):
      > Modernize dev environment
      > Test for newer python versions
      > Merge pull request #2 from peahonen/master
    * ofxstatement-otp 8ef690d...195f6a6 (2):
      > Bump version 0.0.2 -> 0.0.3
      > Merge pull request #2 from gyp/master
    * ofxstatement-raiffeisencz 824573d...669bc25 (2):
      > Updated .memo and .payee string handling
      > Excluded .date_user from mappings and convert to date manually
    * ofxstatement-unicreditcz 91fe3c6...2881736 (55):
      > Corrected .memo string handling
      > Modified string manipulation for .memo and .payee
      > Added description of how GnuCash assigns OFX fields. Modified .payee
        and .memo field mapping
      > Updated git describe
      > Added a script with example of setup and test of the plugin.
      > Updated README.rst with the new CSV format
      > Update of date format 2019 CSV format
      > Updated description of CSV structure
      > Updated for CSV format of year 2019
      > Added unicreditcz18.py
  * Fix errors in autotests with ofxstatement 0.6.4 (Closes: #955665):
    - ofxstatement-austrian
    - ofxstatement-betterment
    - ofxstatement-bubbas
    - ofxstatement-iso20022
    - ofxstatement-lithuanian
  * d/control: Switch to debhelper 12.
  * d/copyright: Fixes tab-in-license-text warning.
  * d/control: Bump Standards-Version.
  * d/control: Set minimal suitable version of ofxstatement.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 05 May 2020 12:26:15 +0300

ofxstatement-plugins (20191114) unstable; urgency=medium

  * Call pytest on plugin test.
  * wrap-and-sort on debian/
  * Update submodules:
    - ofxstatement-russian
    - ofxstatement-bubbas
  * Disable ofxstatement-paypal (it conflicts with ofxstatement-polish).

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 14 Nov 2019 12:40:41 +0300

ofxstatement-plugins (20191113) unstable; urgency=medium

  * ofxstatement-1822direkt renamed to ofxstatement-germany
  * Add new plugin ofxstatement-de-triodos.
  * Add new plugin ofxstatement-consors.
  * Add new plugin ofxstatement-be-argenta.
  * Add new plugin ofxstatement-de-ing.
  * Update submodules:
    - banking.statements.nordea
    - banking.statements.osuuspankki
    - ofxstatement-airbankcz
    - ofxstatement-austrian
    - ofxstatement-be-ing
    - ofxstatement-be-triodos
    - ofxstatement-intesasp
    - ofxstatement-lansforsakringar
    - ofxstatement-raiffeisencz
    - ofxstatement-russian
    - ofxstatement-seb
  * Revert "Disable ofxstatement-intesasp installation - plugin is broken."
  * d/copyright: Syntax fixup (FIles->Files).
  * debian/control: Fix dependencies.
  * debian/rules, debian/patches: Enable autotests.
  * Add 02-be-argenta-do-not-install-script.patch.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 13 Nov 2019 18:16:47 +0300

ofxstatement-plugins (20181208) unstable; urgency=high

  * d/changelog: Fix entries in previous version.
  * Update submodules
  * Update d/patches/ofxstatement-lansforsakringar.patch.
  * Disable ofxstatement-intesasp installation - plugin is broken.
  * d/rules: Do not install nspkg.pth files.
  * Urgency is high, cause package in testing is uninstallable.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 08 Dec 2018 14:42:52 +0300

ofxstatement-plugins (20181202) unstable; urgency=medium

  * ofxstatement-be-ing: Change upstream channel.
  * New modules ofxstatement-fineco.
  * New modules ofxstatement-al_bank.
  * New modules ofxstatement-lansforsakringar.
  * New modules ofxstatement-intesasp.
  * ofxstatement-lfs, ofxstatement-seb and ofxstatement-paypal are moved to
    another upstream.
  * Update submodules:
    - ofxstatement-1822direkt
    - ofxstatement-be-kbc
    - ofxstatement-otp
    - ofxstatement-seb
    - ofxstatement-be-ing
  * d/copyright: Update ofxstatement-be-ing according to upstream change.
  * Add d/patches/ofxstatement-lansforsakringar.patch: Fixes build in non-UTF-8
    locale.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 02 Dec 2018 18:10:26 +0300

ofxstatement-plugins (20180309) unstable; urgency=medium

  * Add banking.statements.nordea and banking.statements.osuuspankki.
  * debian/copyright: Relicense ofxstatement-alfabank and ofxstatement-seb
    under MIT license.
  * New plugin ofxstatement-lfs.
  * Remove ofxstatement-alfabank plugin: superseded by ofxstatement-russian.
  * Update submodules:
    + ofxstatement-latvian
    + ofxstatement-paypal
    + ofxstatement-russian
    + ofxstatement-seb

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 09 Mar 2018 22:37:55 +0300

ofxstatement-plugins (20180128) unstable; urgency=medium

  * Update submodules:
    + ofxstatement-airbankcz
    + ofxstatement-iso20022
    + ofxstatement-unicreditcz
    + ofxstatement-czech
  * debian/copyright: ofxstatement-czech: Upstream fixed error in description,i
    license is GPL-3, not AGPL.
  * Add new plugin:
    + ofxstatement-be-triodos

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 28 Jan 2018 15:23:54 +0300

ofxstatement-plugins (20171023) unstable; urgency=medium

  * Update submodules:
    + ofxstatement-be-kbc
  * Bump Standards-Version to 4.1.1 (no additional changes needed).
  * Add debian/.gitignore.
  * Add debian/gbp.conf.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Oct 2017 13:10:30 +0300

ofxstatement-plugins (20170827) unstable; urgency=medium

  * Fix .gitmodules
  * debian/rules: Do not install tests. Thanks to Chris Lamb <lamby@debian.org>. (Closes #862140.)
  * Bump Standards-Version to 4.1.0 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 27 Aug 2017 03:13:36 +0300

ofxstatement-plugins (20170730) unstable; urgency=medium

  * debian/rules: Add sync target.
  * Add new plugins:
    + ofxstatement-is-arionbanki
    + ofxstatement-airbankcz
    + ofxstatement-raiffeisencz
  * Update submodules:
    + ofxstatement-russian
    + ofxstatement-austrian
    + ofxstatement-iso20022
    + ofxstatement-latvian
    + ofxstatement-mbank-sk
    + ofxstatement-polish
    + ofxstatement-unicreditcz
  * debian/copyright updated.
  * debian/control: Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 30 Jul 2017 01:19:17 +0300

ofxstatement-plugins (20170307) unstable; urgency=medium

  * Update submodules:
    + ofxstatement-1822direkt
    + ofxstatement-iso20022
    + ofxstatement-russian

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 07 Mar 2017 13:24:43 +0300

ofxstatement-plugins (20161204) unstable; urgency=medium

  * Updated ofxstatement-1822direkt and ofxstatement-be-kbc.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 04 Dec 2016 02:43:30 +0300

ofxstatement-plugins (20160920) unstable; urgency=medium

  * New pluging: ofxstatement-dab.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 20 Sep 2016 17:25:21 +0300

ofxstatement-plugins (20160817) unstable; urgency=medium

  * Add ofxstatement-be-kbc plugin.
  * ofxstatement-latvian updated (license fixup).

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 17 Aug 2016 15:10:54 +0300

ofxstatement-plugins (20160725) unstable; urgency=low

  * Initial release (Closes: #831802).

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 25 Jul 2016 10:47:03 +0300
